Scheduled Task Get Available Field
List of custom field definitions that are valid for the object's type.
List of custom field definitions that are valid for the object's type.
The fields are sorted by name.
Required privileges: System.View
Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/ScheduledTask/{moId}/availableField
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case ScheduledTask/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Responses
200
OK
[
{
"_typeName": "string",
"key": 0,
"name": "string",
"type": "string",
"managedObjectType": "string",
"fieldDefPrivileges": {
"_typeName": "string",
"createPrivilege": "string",
"readPrivilege": "string",
"updatePrivilege": "string",
"deletePrivilege": "string"
},
"fieldInstancePrivileges": {
"_typeName": "string",
"createPrivilege": "string",
"readPrivilege": "string",
"updatePrivilege": "string",
"deletePrivilege": "string"
}
}
]
array of
object
Describes a custom field.
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/ScheduledTask/{moId}/availableField